post
https://api.repliers.io/nlp
This endpoint translates natural language search queries into structured API requests for the Repliers listings endpoint. For example, the prompt `find me properties in new york`` would be converted to the equivalent API call: https://api.repliers.io/listings?city=New York
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
400Bad Request - Invalid input.
403Forbidden - returned when either:
- your account does not have access to the NLP feature, or
- the supplied
boardIdis not accessible with your API key.
404Not Found - the supplied clientId does not exist in your account, or the supplied nlpId does not match an existing session.
406Not accepted - If the input is not relevant to a listings search a 406 response will be returned. For example, "why is the sky blue" would return a 406 response.
500Internal Server Error - An error occurred while processing the request.
